Bug 471069 - Different results when 'urlopen'ing ftp vs. http files
Different results when 'urlopen'ing ftp vs. http files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 11:51 EST by Cole Robinson
Modified: 2009-07-14 10:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test script to demonstrate http/ftp differences (571 bytes, text/plain)
2008-11-11 11:51 EST, Cole Robinson
no flags Details

  None (edit)
Description Cole Robinson 2008-11-11 11:51:23 EST
Created attachment 323192 [details]
Test script to demonstrate http/ftp differences

$ rpm -q python-urlgrabber
python-urlgrabber-3.0.0-9.fc9.noarch

Trying to 'urlopen' a non-existent ftp file doesn't throw an exception, which is different from the behavior of trying to open an http file. Also, http returns a URLGrabberFileObject on success, while ftp returns something else.

Attached script produces the following output:

$ ./urlgrabber-test.py 

File GPL should exist.
  htt:
  file type = <urlgrabber.grabber.URLGrabberFileObject instance at 0x1831290>
  ftp:
  file type = <addinfourl at 26466208 whose fp = <addclosehook at 26429848 whose fp = <socket._fileobject object at 0x7fcd97ffec80>>>

File foobarbaz should not exist.
  htt:
  Caught exception: [Errno 14] HTTP Error 404: Not Found
  ftp:
  file type = <addinfourl at 26481944 whose fp = <addclosehook at 26481872 whose fp = <socket._fileobject object at 0x1929cf8>>>
Comment 1 Bug Zapper 2009-06-09 23:14:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:12:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.